PartialXMLStreamReader (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.staxutils, class: PartialXMLStreamReader

Package org.apache.cxf.staxutils

# Class PartialXMLStreamReader

java.lang.Object
org.apache.cxf.staxutils.DepthXMLStreamReader
org.apache.cxf.staxutils.PartialXMLStreamReader

All Implemented Interfaces:
  `XMLStreamConstants`, `XMLStreamReader`

public class PartialXMLStreamReader extends DepthXMLStreamReader
Read from a StaX reader, stopping when the next element is a specified element. For example, this can be used to read all of the Header of a soap message into a DOM document stopping on contact with the body element.

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.staxutils.DepthXMLStreamReader

  `reader`

  ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

  `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PartialXMLStreamReader(XMLStreamReader r, QName endTag)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getEventType()`
  `boolean`
  `hasNext()`
  `int`
  `next()`

  ### Methods inherited from class org.apache.cxf.staxutils.DepthXMLStreamReader

  `close, equals, getAttributeCount, getAttributeLocalName, getAttributeName, getAttributeNamespace, getAttributePrefix, getAttributeType, getAttributeValue, getAttributeValue, getCharacterEncodingScheme, getDepth, getElementText, getEncoding, getLocalName, getLocation, getName, getNamespaceContext, getNamespaceCount, getNamespacePrefix, getNamespaceURI, getNamespaceURI, getNamespaceURI, getPIData, getPITarget, getPrefix, getProperty, getReader, getText, getTextCharacters, getTextCharacters, getTextLength, getTextStart, getVersion, hashCode, hasName, hasText, isAttributeSpecified, isCharacters, isEndElement, isStandalone, isStartElement, isWhiteSpace, nextTag, require, standaloneSet, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PartialXMLStreamReader

    public PartialXMLStreamReader(XMLStreamReader r, QName endTag)

- ## Method Details

  - ### next

    public int next() throws XMLStreamException
    Specified by:
      `next` in interface `XMLStreamReader`
    Overrides:
      `next` in class `DepthXMLStreamReader`
    Throws:
      `XMLStreamException`

  - ### getEventType

    public int getEventType()
    Specified by:
      `getEventType` in interface `XMLStreamReader`
    Overrides:
      `getEventType` in class `DepthXMLStreamReader`

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `XMLStreamReader`
    Overrides:
      `hasNext` in class `DepthXMLStreamReader`